<!-- <nav class="navbar navbar-default">
    <div class="container-fluid">
        <div class="navbar-header">
            <a class="navbar-brand" href="#">Les Anecdotes du jour</a>
        </div>
        <ul class="nav navbar-nav">
            <li routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}"><a routerLink="/">Accueil</a></li>
            <li routerLinkActive="active"><a routerLink="/restapi">Appel REST</a></li>
            <li routerLinkActive="active"><a routerLink="/register">Inscription</a></li>
            <li routerLinkActive="active"><a routerLink="/login">Connexion</a></li>
        </ul>
    </div>
</nav> -->

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">

    <img height="80" src="https://my-anecdotes-bucket.s3.eu-west-3.amazonaws.com/Logo+test+2.jpg" alt="">
    <!-- <a id="headerTitle" class="navbar-brand" href="#">Les Anecdotes du jour</a> -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">

            <!-- <li id="headerSubTitle" class="nav-item active" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link" routerLink="/">Accueil <span class="sr-only">(current)</span></a>
            </li> -->

            <li id="headerSubTitle" class="nav-item active" routerLinkActive="active">
                <a class="nav-link" routerLink="/restapi">Les AnecNews du jour</a>
            </li>

            <li id="headerSubTitle" class="nav-item active" routerLinkActive="active">
                <a class="nav-link" routerLink="/register">Inscription</a>
            </li>

            <li id="headerSubTitle" class="nav-item active" routerLinkActive="active">
                <a class="nav-link" routerLink="/login">Connexion</a>
            </li>

            <!-- Non utilisé pour l'instant -->
            <!-- <li class="nav-item dropdown" routerLinkActive="active">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Autre
                </a> -->
            <!-- ------------------------------ -->
<!-- 
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="#">Something else here</a>
                </div>
            </li> -->

            <!-- <li class="nav-item">
                <a class="nav-link disabled" href="#">Disabled</a>
            </li> -->

        </ul>

        <!-- === Bouton rechercher ===
        <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="search" placeholder="Mot-clé" aria-label="Search">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Rechercher</button>
        </form> -->


        <li id="headerHelloMessage" *ngIf="this.auth.isAuthInAuthorizationService" class="form-inline my-2 my-lg-0" size="300">
            <p id="helloParagraph">Bonjour {{ this.auth.cognitoUserConnectedFirstname }} !</p>
        </li>

    </div>
</nav>